org.eclipse.jetty.annotations

## Class AnnotationParser.Value

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationParser.Value

- Direct Known Subclasses:
    AnnotationParser.ListValue, AnnotationParser.SimpleValue
  Enclosing class:
    AnnotationParser

      public abstract class AnnotationParser.Value
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationParser.Value(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `abstract Object` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationParser.Value

          public AnnotationParser.Value(String name)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getValue

          public abstract Object getValue()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.